<% content_for :title, "Aktualizacja mailingu" %>

<%= form_for @mailing, url: {action: :save_comment}, data: {remote: true} do |f| %>


      <div class="modal-body">
          <% if @mailing.errors.any? %>
            <div id="error_explanation">
              <h2><%= pluralize(@mailing.errors.count, "błąd") %> uniemożliwia zapisanie formularza:</h2>

              <ul>
              <% @mailing.errors.full_messages.each do |msg| %>
                <li><%= msg %></li>
              <% end %>
              </ul>
            </div>
          <% end %>
            <div class="row">
              <div class="col-sm-12">  
                <div class="form-group">
                  <%= f.label :audit_comment, "Uwagi" %><br>
                  <%= f.text_area :audit_comment, class: "comment form-control", autofocus: true %>
                </div>
              </div>

              <%= f.fields_for :mailing_files do |ff| %>
                <div class="form-group col-sm-12">
                  <%= ff.label :files, "Dodaj pliki" %>
                  <%= ff.file_field :files, type: :file, multiple: true %>
                </div>
              <% end %>

              <div class="form-group col-sm-6">
                <%= f.label :status_id, "Status" %><br>
                <%= f.select :status_id, options_from_collection_for_select(MailingStatus.all, :id, :name, @mailing.status_id), {:include_blank => "Wybierz..."}, class: "form-control" %>
              </div>
              <div class="form-group col-sm-6">
                <%= f.label :assign_to, "Do kogo przypisać maila?" %><br>
                <%= f.select :assign_to, options_from_collection_for_select(User.all, :id, :name, @mailing.assign_to), {:include_blank => "Wybierz..."}, class: "form-control" %>
              </div>
              </div>


            <hr>

            <div class="row">
              <div class="form-group col-sm-6">
                <%= f.label :preview, "Link do podglądu online maila" %><br>
                <%= f.text_field :preview, class: "form-control"  %>
              </div>

              <div class="form-group col-sm-6">
                <%= f.label :preview_image, "Miniatura maila" %><br>
                <%= f.file_field :preview_image %>
              </div>




          </div>

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Anuluj</button>
        <%= f.button "Zapisz", class: "btn btn-large btn-primary" %>
      </div>
<% end %>
